Skip to navigation

List Parameters By Item

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns the list of parameters based on the company’s service types and the item code. Ignores nexus if a service type is configured in the ‘IgnoreNexusForServiceTypes’ configuration section. Ignores nexus for the AvaAlcohol service type.

NOTE: If your company code or item code contains any of these characters /, +, ? or a space, please use the following encoding before making a request:

  • Replace ’/’ with ’_-ava2f-_’ For example: ‘Company/Code’ becomes ‘Company_-ava2f-_Code’
  • Replace ’+’ with ’_-ava2b-_’ For example: ‘Company+Code’ becomes ‘Company_-ava2b-_Code’
  • Replace ’?’ with ’_-ava3f-_’ For example: ‘Company?Code’ becomes ‘Company_-ava3f-_Code’
  • Replace ’%’ with ’_-ava25-_’ For example: ‘Company%Code’ becomes ‘Company_-ava25-_Code’
  • Replace ’#’ with ’_-ava23-_’ For example: ‘Company#Code’ becomes ‘Company_-ava23-_Code’

For Item Code other than the five given above below two should also be used

  • Replace ''' with ’_-ava27-_’ For example: ‘Item’Code’ becomes ‘Item_-ava27-_Code’
  • Replace ’”’ with ’_-ava22-_’ For example: ‘Item”Code’ becomes ‘Item_-ava22-_Code’

Security Policies

  • This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyCodestringRequired
Company code.
itemCodestringRequired
Item code.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: serviceTypes, regularExpression, attributeSubType, values

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional